Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2185554 - python-rangehttpserver fails to build on rawhide, sources are misnamed
Summary: python-rangehttpserver fails to build on rawhide, sources are misnamed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-rangehttpserver
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS PYTHON3.12
TreeView+ depends on / blocked
 
Reported: 2023-04-10 08:40 UTC by Miro Hrončok
Modified: 2023-06-18 01:29 UTC (History)
4 users (show)

Fixed In Version: python-rangehttpserver-1.3.3-4.fc39 python-rangehttpserver-1.3.3-4.fc37 python-rangehttpserver-1.3.3-4.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-06-09 19:34:04 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2023-04-10 08:40:35 UTC
Since https://src.fedoraproject.org/rpms/python-rangehttpserver/c/c64b8ae625c953573be6d87d25bb4e8678108ddf?branch=rawhide the sources are not uploaded correctly.

See:

$ fedpkg clone python-rangehttpserver
$ cd python-rangehttpserver
$ fedpkg srpm
Not downloading unused rangehttpserver-1.3.3.tar.gz

setting SOURCE_DATE_EPOCH=1678233600
error: Bad file: .../python-rangehttpserver/RangeHTTPServer-1.3.3.tar.gz: No such file or directory


I belive the spec file assumes RangeHTTPServer-1.3.3.tar.gz but the sources were uploaded as rangehttpserver-1.3.3.tar.gz.

Comment 1 Ankur Sinha (FranciscoD) 2023-06-09 19:14:33 UTC
Fixing now. 

Luis---just FYI: I'm also modernising the spec while I fix the build. Did the build succeed for you? I don't think it would've.

Comment 2 Fedora Update System 2023-06-09 19:43:14 UTC
FEDORA-2023-b285495a37 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-b285495a37

Comment 3 Fedora Update System 2023-06-09 19:51:58 UTC
FEDORA-2023-0fc22c05df has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0fc22c05df

Comment 4 Fedora Update System 2023-06-10 02:13:38 UTC
FEDORA-2023-b285495a37 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-b285495a37`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-b285495a37

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-06-10 03:31:55 UTC
FEDORA-2023-0fc22c05df has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-0fc22c05df`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-0fc22c05df

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-06-18 01:14:14 UTC
FEDORA-2023-0fc22c05df has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-06-18 01:29:39 UTC
FEDORA-2023-b285495a37 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.